//
//  ViewController.m
//  messagesample
//
//  Created by SSCSIS on 9/9/14.
//
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (IBAction)btnCall_Click:(id)sender
{
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:[@"telprompt:<TEL>" stringByReplacingOccurrencesOfString:@"<TEL>" withString:@"8001234567"]]];
}

- (IBAction)btnEmail_Click:(id)sender
{
    if([MFMailComposeViewController canSendMail])
    {
        MFMailComposeViewController *objMailViewController = [MFMailComposeViewController new];
        objMailViewController.mailComposeDelegate = self;
        [objMailViewController setToRecipients:[[NSArray alloc] initWithObjects:@"a@a.com", nil]];
        [objMailViewController setSubject:@"Sample Subject"];
        [objMailViewController setMessageBody:@"This is body" isHTML:NO];
        [objMailViewController addAttachmentData:UIImageJPEGRepresentation(self.img, 1) mimeType:@"image/jpg" fileName:@"image"];
        [self presentViewController:objMailViewController animated:TRUE completion:nil];
    }
}

- (void) mailComposeController:(MFMailComposeViewController *)controller didFinishWithResult:(MFMailComposeResult)result error:(NSError *)error
{
    [self dismissViewControllerAnimated:TRUE completion:nil];
}

- (IBAction)btnSMS_Click:(id)sender
{
    if ([MFMessageComposeViewController canSendText])
    {
        MFMessageComposeViewController *objMessageViewController = [MFMessageComposeViewController new];
        objMessageViewController.messageComposeDelegate = self;
        [objMessageViewController setRecipients:[[NSArray alloc] initWithObjects:@"", nil]];
        [self presentViewController:objMessageViewController animated:TRUE completion:nil];
    }
}

- (IBAction)btnFacebook_Click:(id)sender
{
    if ([SLComposeViewController class])
    {
        SLComposeViewController *objController = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeFacebook];
        [objController setInitialText:@"Sample facebook text."];
        [objController addImage:self.img];
        [objController addURL:[NSURL URLWithString:@""]];
        [self presentViewController:objController animated:TRUE completion:nil];
    }
}

- (IBAction)btnTwitter_Click:(id)sender
{
    if ([SLComposeViewController class])
    {
        SLComposeViewController *objController = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeTwitter];
        [objController setInitialText:@"Sample twitter text."];
        [objController addImage:self.img];
        [objController addURL:[NSURL URLWithString:@""]];
        [self presentViewController:objController animated:TRUE completion:nil];
    }}

- (IBAction)launchCamera_Click:(id)sender
{
    if ([UIImagePickerController isSourceTypeAvailable:UIImagePickerControllerSourceTypeCamera])
    {
        UIImagePickerController *pickerImage = [UIImagePickerController new];
        pickerImage.sourceType = UIImagePickerControllerSourceTypeCamera;
        pickerImage.delegate = self;
        
        [self presentViewController:pickerImage animated:TRUE completion:nil];        
    }
}

- (void) imagePickerController:(UIImagePickerController *)picker didFinishPickingMediaWithInfo:(NSDictionary *)info
{
    self.img = [info objectForKey:UIImagePickerControllerOriginalImage];
}

- (void) messageComposeViewController:(MFMessageComposeViewController *)controller didFinishWithResult:(MessageComposeResult)result
{
    [self dismissViewControllerAnimated:TRUE completion:nil];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
